New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix "invalid escape sequence" warnings in Python 3.6 #14

Merged
merged 1 commit into from Nov 10, 2016

Conversation

Projects
None yet
3 participants
@timgraham
Contributor

timgraham commented Sep 17, 2016

@timgraham

This comment has been minimized.

Contributor

timgraham commented Sep 17, 2016

There might be more warnings but I had trouble building it so I could run the test suite:

$ python setup.py build
running build
running build_py
copying src/argon2/_password_hasher.py -> build/lib.linux-x86_64-3.7/argon2
copying src/argon2/low_level.py -> build/lib.linux-x86_64-3.7/argon2
warning: build_py: byte-compiling is disabled, skipping.

running build_clib
building 'libargon2' library
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -fPIC -msse2 -Iextras/libargon2/src/../include -Iextras/libargon2/src/blake2 -c extras/libargon2/src/argon2.c -o build/temp.linux-x86_64-3.7/extras/libargon2/src/argon2.o
gcc: error: extras/libargon2/src/argon2.c: No such file or directory
gcc: fatal error: no input files
compilation terminated.
error: command 'gcc' failed with exit status 4
@codecov-io

This comment has been minimized.

codecov-io commented Sep 17, 2016

Current coverage is 100% (diff: 100%)

Merging #14 into master will not change coverage

@@           master   #14   diff @@
===================================
  Files           7     7          
  Lines         141   141          
  Methods         0     0          
  Messages        0     0          
  Branches       15    15          
===================================
  Hits          141   141          
  Misses          0     0          
  Partials        0     0          

Powered by Codecov. Last update 5b42037...0d1f7a7

@hynek

This comment has been minimized.

Owner

hynek commented Sep 17, 2016

Thanks I’ll look at it as soon as homebrew gets a pyenv that carries the Beta.

As for the tests, you probably have to run:

git submodule init
git submodule update

how could i forget to add that to contributing. :|

@timgraham

This comment has been minimized.

Contributor

timgraham commented Sep 17, 2016

Yep, and pip install -r dev-requirements.txt. I don't see any more warnings, thanks!

@hynek

This comment has been minimized.

Owner

hynek commented Nov 5, 2016

JFTR, I’m still waiting for virtualenv to be updated. :'(

@hynek

This comment has been minimized.

Owner

hynek commented Nov 10, 2016

Ah screw it, we’ll yolo it in and if there’s still breakage, we’ll fix it later. thanks!

@hynek hynek merged commit a366e58 into hynek:master Nov 10, 2016

3 checks passed

codecov/project 100% (+0.00%) compared to 5b42037
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment